/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: W2JRLR4001ClientOne.java 62536 2011-04-15 16:35:14Z af70133 $
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxrpc.wsi.w2j.rpc.literal.R4001;

import com.sun.ts.lib.harness.EETest;
import com.sun.ts.tests.jaxrpc.sharedclients.SOAPClient;
import com.sun.ts.tests.jaxrpc.wsi.constants.CTSConstants;

public class W2JRLR4001ClientOne extends SOAPClient {
    public W2JRLR4001ClientOne(String webServerHost, int webServerPort, int mode) throws EETest.Fault {
        super(webServerHost, webServerPort, mode);
        stubContext.setNamespace("http://w2jrlr4001testservice.org/W2JRLR4001TestService.wsdl");
        stubContext.setService("W2JRLR4001TestService");
        stubContext.setPortPrefix("W2JRLR4001TestOne");
        stubContext.setServiceInterface(W2JRLR4001TestOne.class);
    }

    protected String getEndpointURLProperty() {
        return CTSConstants.w2jrlr4001EndpointOneProperty;
    }

    protected String getWSDLURLProperty() {
        return CTSConstants.w2jrlr4001WSDLOneProperty;
    }

    public String echoString(String str) throws Exception {
        NonNullString nns = new NonNullString(str);
        nns = ((W2JRLR4001TestOne)stubContext.getStub()).echoString(nns);
        return nns.getP1();
    }
}
